"""PixivSearch URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url
from django.views import static

from PixivSearch.view import search, index, download,page_permission_denied, \
    page_inter_error, page_not_found

urlpatterns = [
    url(r'^$', index),
    url(r'^pixiv/search', search),
    url(r'^pixiv/download', download),
    # 增加以下一行，以识别静态资源
    url(r'^static/(?P<path>.*)$', static.serve,
        {'document_root': 'PixivSearch/static'}, name='static')
]

# 配置异常页面
handler403 = page_permission_denied
handler404 = page_not_found
handler500 = page_inter_error