# coding=utf-8
import _thread
import os

from django.http import Http404, StreamingHttpResponse, HttpResponse
from django.shortcuts import render

import root
from PixivSearch.pixiv.pixiv import get_nodes
from PixivSearch.settings import logger


def search(request):
    word = 'R-18'
    pageSize = 10
    order = 10
    type = 'text'

    if request.POST.get('word') is not None and len(request.POST.get('word')) > 0:
        word = request.POST.get('word')
    if request.POST.get('pageSize') is not None and len(request.POST.get('pageSize')) > 0:
        pageSize = int(request.POST.get('pageSize'))
    if request.POST.get('order') is not None and len(request.POST.get('order')) > 0:
        order = int(request.POST.get('order'))
    if request.POST.get('type') is not None and len(request.POST.get('type')) > 0:
        type = request.POST.get('type')

    try:
        logger.info("word:%s,pageSize:%d,order:%d,type:%s", word, pageSize, order, type)
        array = get_nodes([0, word, pageSize, order, type])
        if len(array[0]) > 0:
            if request.POST.get('type') == 'img':
                nodes = {'imageNodes': array[0], 'msg': array[1], 'download': word + '.zip', 'size': array[2],
                         'word': word, 'pageSize': pageSize, 'order': order, 'type': type,
                         'imgPath': root.getConfigValue('imgPath'),
                         'baseZipPath': root.getConfigValue('baseZipPath')}
            else:
                nodes = {'imageNodes': array[0], 'msg': array[1], 'word': word, 'pageSize': pageSize, 'order': order,
                         'type': type}
        else:
            nodes = {'tip': '没有返回结果'}
        return render(request, 'pixiv/index.html', nodes)
    except ValueError:
        raise Http404()

def index(request):
    return render(request, 'pixiv/index.html', {'tip': '输入参数进行搜索', 'word': 'R-18', 'pageSize': '10', 'order': '10'})


def download(request):
    # do something...
    def file_iterator(file_name, chunk_size=512):
        with open(file_name) as f:
            while True:
                c = f.read(chunk_size)
                if c:
                    yield c
                else:
                    break

    fileName = os.path.join(os.path.dirname(__file__), 'static/download/').replace('\\', '/') + request.GET.get(
        'fileName').encode('utf-8')
    response = StreamingHttpResponse(file_iterator(fileName))
    response['Content-Type'] = 'application/octet-stream'
    response['Content-Disposition'] = 'attachment;filename="{0}"'.format(request.GET.get('fileName').encode('utf-8'))
    return response

def page_not_found(request,exception):
    return render(request, '404.html')

def page_permission_denied(request,exception):
    return render(request, '403.html')

def page_inter_error(request):
    return render(request, '500.html')
